## python-os-client-config 1.16.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
PyYAML>=3.1.0
appdirs>=1.3.0
keystoneauth1>=2.1.0
requestsexceptions>=1.1.1  # Apache-2.0

## python-os-client-config 0.8.1

=== debian/changelog ===
python-os-client-config (0.8.1-2+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:38:20 +0000

python-os-client-config (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2015 15:19:45 +0200

python-os-client-config (0.3.0-2) experimental; urgency=medium

  * Do not use python 2.6.
  * Added HP as copyright holder.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Nov 2014 21:36:37 +0800

python-os-client-config (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #770846)

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Nov 2014 00:05:58 +0800

=== debian/control ===
Source: python-os-client-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-extras,
                     python-fixtures,
                     python-hacking,
                     python-keystoneclient (>= 1:1.1.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-testscenarios,
                     python-testtools,
                     python-yaml,
                     python3-fixtures,
#                     python3-keystoneclient (>= 1:1.1.0),
                     python3-oslotest (>= 1.5.1),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-os-client-config?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-os-client-config -b debian/newton
Homepage: http://github.com/stackforge/os-client-config

Package: python-os-client-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-pbr,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-os-client-config-doc,
Description: OpenStack client configuation library - Python 2.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 2.x module.

Package: python3-os-client-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python3-pbr,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-os-client-config-doc,
Description: OpenStack client configuation library - Python 3.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 3.x module.

Package: python-os-client-config-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack client configuation library - doc
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/os-client-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-client-config; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-os-client-config; \
	done
	rm -rf $(CURDIR)/debian/python*-os-client-config/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabled tests until build depends are available"
#	echo "===> Running tests"
#	set -e && for i in $(PYTHONS) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` && \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-client-config os-client-config-(.*).tar.gz

## python-os-client-config 1.6.1

=== debian/changelog ===
python-os-client-config (1.6.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 04 Aug 2015 17:05:13 +0000

python-os-client-config (1.6.1-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Aug 2015 18:40:13 +0200

python-os-client-config (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 15:12:25 +0000

python-os-client-config (1.3.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release:
    - d/control: Add new dependency on python{3}-appdirs.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jun 2015 09:41:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-client-config
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -13,7 +14,8 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-appdirs,
+                     python-coverage,
                      python-extras,
                      python-fixtures,
                      python-hacking,
@@ -23,6 +25,7 @@
                      python-testscenarios,
                      python-testtools,
                      python-yaml,
+                     python3-appdirs,
                      python3-fixtures,
 #                     python3-keystoneclient (>= 1:1.1.0),
                      python3-oslotest (>= 1.5.1),
@@ -33,8 +36,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.6
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-os-client-config?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-os-client-config -b debian/newton
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-client-config.git
+Vcs-Git: git://anonscm.debian.org/openstack/python-os-client-config.git
 Homepage: http://github.com/stackforge/os-client-config
 
 Package: python-os-client-config
@@ -64,7 +67,6 @@
 
 Package: python3-os-client-config
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: python3-pbr,
          python3-yaml,
          ${misc:Depends},
@@ -90,7 +92,6 @@
 Package: python-os-client-config-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: OpenStack client configuation library - doc

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT := https://github.com/openstack/os-client-config.git
+UPSTREAM_GIT = git://github.com/stackforge/os-client-config.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -24,19 +24,18 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Disabled tests until build depends are available"
-#	echo "===> Running tests"
-#	set -e && for i in $(PYTHONS) ; do \
-#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-#		rm -rf .testrepository ; \
-#		testr-python$$PYMAJOR init ; \
-#		TEMP_REZ=`mktemp -t` && \
-#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
-#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-#		rm -f $$TEMP_REZ ; \
-#		testr-python$$PYMAJOR slowest ; \
-#	done
+	echo "===> Running tests"
+	set -e && for i in $(PYTHONS) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` && \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_clean:

## python-os-client-config 1.16.0

=== debian/changelog ===
python-os-client-config (1.16.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 12:59:16 +0000

python-os-client-config (1.16.0-1) unstable; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop dependency on python-reno as it's not needed for package
    builds.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed short description typo.
  * Standards-Version: 3.9.7 (no change)
  * HTTPS VCS URLs and Homepage.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:35:19 +0200

python-os-client-config (1.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:32:10 +0000

python-os-client-config (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch to stop using reno.
  * Fixed debian/copyright ordering.
  * Also running Py3 tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 06:14:32 +0000

python-os-client-config (1.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Dec 2015 17:48:52 +0000

python-os-client-config (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added support for DEB_BUILD_OPTIONS=nodocs.
  * Config files are now .json and not .yaml: fixing the patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2015 12:15:09 +0100

python-os-client-config (1.6.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Black list TestBackwardsCompatibility.test_set_no_default which fails in
    Python 3.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 19:56:30 +0000

python-os-client-config (1.6.0-3) experimental; urgency=medium

  * Add 2 failed test in blacklist (failing to build in Jessie):
    - test_environ.TestEnviron.test_environ_exists
    - test_environ.TestEnviron.test_envvar_name_override
  * Failed in Python 3.4 (in Experimental):
    - test_config.TestConfig.test_get_all_clouds

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 09:51:03 +0200

python-os-client-config (1.6.0-2) experimental; urgency=medium

  * Also includes all yaml files.
  * Watch file using github and not broken PyPi.
  * Also testing with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 08:48:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-os-client-config
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           gustavo panizzo <gfa@zumbi.com.ar>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -18,37 +18,48 @@
                      python-coverage,
                      python-extras,
                      python-fixtures,
+#                     python-glanceclient (>= 0.18.0),
                      python-hacking,
+                     python-jsonschema,
+                     python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.1.0),
+                     python-mock (>= 1.3),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+#                     python-oslotest (>= 1.5.1),
+                     python-requestsexceptions (>= 1.1.1),
                      python-testscenarios,
                      python-testtools,
                      python-yaml,
                      python3-appdirs,
                      python3-fixtures,
-#                     python3-keystoneclient (>= 1:1.1.0),
-                     python3-oslotest (>= 1.5.1),
+#                     python3-glanceclient (>= 0.18.0),
+                     python3-jsonschema,
+                     python3-keystoneauth1 (>= 2.1.0),
+                     python3-keystoneclient (>= 1:1.1.0),
+                     python3-mock (>= 1.3),
+#                     python3-oslotest (>= 1.5.1),
+                     python3-requestsexceptions (>= 1.1.1),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools,
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-client-config.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-os-client-config.git
-Homepage: http://github.com/stackforge/os-client-config
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-os-client-config.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-os-client-config.git
+Homepage: https://github.com/stackforge/os-client-config
 
 Package: python-os-client-config
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
-Depends: python-pbr,
+Depends: python-keystoneauth1 (>= 2.1.0),
+         python-pbr,
+         python-requestsexceptions (>= 1.1.1),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-os-client-config-doc,
-Description: OpenStack client configuation library - Python 2.x
+Description: OpenStack client configuration library - Python 2.x
  Os-client-config is a library for collecting client configuration for using an
  OpenStack cloud in a consistent and comprehensive manner. It will find cloud
  config for as few as 1 cloud and as many as you want to put in a config file.
@@ -67,12 +78,14 @@
 
 Package: python3-os-client-config
 Architecture: all
-Depends: python3-pbr,
+Depends: python3-keystoneauth1 (>= 2.1.0),
+         python3-pbr,
+         python3-requestsexceptions (>= 1.1.1),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-os-client-config-doc,
-Description: OpenStack client configuation library - Python 3.x
+Description: OpenStack client configuration library - Python 3.x
  Os-client-config is a library for collecting client configuration for using an
  OpenStack cloud in a consistent and comprehensive manner. It will find cloud
  config for as few as 1 cloud and as many as you want to put in a config file.
@@ -94,7 +107,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-Description: OpenStack client configuation library - doc
+Description: OpenStack client configuration library - doc
  Os-client-config is a library for collecting client configuration for using an
  OpenStack cloud in a consistent and comprehensive manner. It will find cloud
  config for as few as 1 cloud and as many as you want to put in a config file.

=== debian/rules ===
--- 
+++ 
@@ -22,29 +22,31 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-os-client-config/usr/lib/python*/dist-packages/*.pth
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "===> Running tests"
-	set -e && for i in $(PYTHONS) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
-endif
+#override_dh_auto_test:
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	echo "===> Running tests"
+#	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` && \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'os_client_config\.tests\.(?!(.*OptsTestCase.test_entry_point.*|.*test_environ.TestEnviron.test_environ_exists.*|.*test_environ.TestEnviron.test_envvar_name_override.*|.*test_config.TestConfig.test_get_all_clouds.*|.*TestBackwardsCompatibility\.test_set_no_default.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	rm -rf build .testrepository
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/os-client-config/tags .*/(\d[\d\.]+)\.tar\.gz

## python-os-client-config 1.18.0

=== debian/changelog ===
python-os-client-config (1.18.0-0ubuntu3~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 18 Aug 2016 22:17:18 +0000

python-os-client-config (1.18.0-0ubuntu3) yakkety; urgency=medium

  * d/rules: Manually install json files for py3 as well (for real this time).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 16:31:55 -0400

python-os-client-config (1.18.0-0ubuntu2) yakkety; urgency=medium

  * d/rules: Manually install json files for py3 as well.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 11:54:21 -0400

python-os-client-config (1.18.0-0ubuntu1) yakkety; urgency=medium

  * d/rules: Use https for UPSTREAM_GIT.
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/p/also-package-json-files.patch: Dropped since upstream has removed
    MANIFEST.in.
  * d/rules: Manually install json files.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Aug 2016 11:22:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-os-client-config
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            gustavo panizzo <gfa@zumbi.com.ar>,
 Build-Depends: debhelper (>= 9),
@@ -18,26 +19,26 @@
                      python-coverage,
                      python-extras,
                      python-fixtures,
-#                     python-glanceclient (>= 0.18.0),
+                     python-glanceclient (>= 0.18.0),
                      python-hacking,
                      python-jsonschema,
                      python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.1.0),
                      python-mock (>= 1.3),
                      python-oslosphinx (>= 2.5.0),
-#                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1.5.1),
                      python-requestsexceptions (>= 1.1.1),
                      python-testscenarios,
                      python-testtools,
                      python-yaml,
                      python3-appdirs,
                      python3-fixtures,
-#                     python3-glanceclient (>= 0.18.0),
+                     python3-glanceclient (>= 0.18.0),
                      python3-jsonschema,
                      python3-keystoneauth1 (>= 2.1.0),
                      python3-keystoneclient (>= 1:1.1.0),
                      python3-mock (>= 1.3),
-#                     python3-oslotest (>= 1.5.1),
+                     python3-oslotest (>= 1.5.1),
                      python3-requestsexceptions (>= 1.1.1),
                      python3-subunit,
                      python3-testscenarios,

## python-os-client-config 1.26.0

=== debian/changelog ===
python-os-client-config (1.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Mon, 14 Aug 2017 12:00:00 +0200

python-os-client-config (1.16.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:08:34 +0100

python-os-client-config (1.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-os-client-config
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            gustavo panizzo <gfa@zumbi.com.ar>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -15,7 +14,8 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-appdirs,
+Build-Depends-Indep: git,
+                     python-appdirs,
                      python-coverage,
                      python-extras,
                      python-fixtures,
@@ -26,7 +26,8 @@
                      python-keystoneclient (>= 1:1.1.0),
                      python-mock (>= 1.3),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1:1.5.1),
+                     python-reno,
                      python-requestsexceptions (>= 1.1.1),
                      python-testscenarios,
                      python-testtools,
@@ -38,7 +39,7 @@
                      python3-keystoneauth1 (>= 2.1.0),
                      python3-keystoneclient (>= 1:1.1.0),
                      python3-mock (>= 1.3),
-                     python3-oslotest (>= 1.5.1),
+                     python3-oslotest (>= 1:1.5.1),
                      python3-requestsexceptions (>= 1.1.1),
                      python3-subunit,
                      python3-testscenarios,
@@ -47,8 +48,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-os-client-config.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-os-client-config.git
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-client-config.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-os-client-config.git -b debian/ocata
 Homepage: https://github.com/stackforge/os-client-config
 
 Package: python-os-client-config

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/os-client-config.git
+UPSTREAM_GIT = https://github.com/stackforge/os-client-config.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -22,21 +22,21 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-os-client-config/usr/lib/python*/dist-packages/*.pth
 
-#override_dh_auto_test:
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	echo "===> Running tests"
-#	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
-#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-#		rm -rf .testrepository ; \
-#		testr-python$$PYMAJOR init ; \
-#		TEMP_REZ=`mktemp -t` && \
-#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'os_client_config\.tests\.(?!(.*OptsTestCase.test_entry_point.*|.*test_environ.TestEnviron.test_environ_exists.*|.*test_environ.TestEnviron.test_envvar_name_override.*|.*test_config.TestConfig.test_get_all_clouds.*|.*TestBackwardsCompatibility\.test_set_no_default.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
-#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-#		rm -f $$TEMP_REZ ; \
-#		testr-python$$PYMAJOR slowest ; \
-#	done
-#endif
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	echo "===> Running tests"
+	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` && \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'os_client_config\.tests\.(?!(.*OptsTestCase.test_entry_point.*|.*test_environ.TestEnviron.test_environ_exists.*|.*test_environ.TestEnviron.test_envvar_name_override.*|.*test_config.TestConfig.test_get_all_clouds.*|.*TestBackwardsCompatibility\.test_set_no_default.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
+endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## python-os-client-config 1.28.0

=== debian/changelog ===
python-os-client-config (1.28.0-4) unstable; urgency=medium

  * Fixed debian/copyright missing holders.
  * Now build-depends on version 1.16.1 of openstackdocstheme. The sphinx doc
    just fails to build with 1.5.0 (Closes: #876489).
  * Uploading to unstable.
  * Fixed typo in short desc.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:33:01 +0000

python-os-client-config (1.28.0-3) experimental; urgency=medium

  * Add missing defaults.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 12:24:32 +0000

python-os-client-config (1.28.0-2) experimental; urgency=medium

  * Add missing python-openstackdocstheme build-depends (Closes: #876489).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2017 22:05:45 +0000

python-os-client-config (1.28.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Sep 2017 21:35:42 +0200

=== debian/control ===
Source: python-os-client-config
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-appdirs,
 python-coverage,
 python-docutils,
 python-extras,
 python-fixtures,
 python-glanceclient,
 python-hacking,
 python-jsonschema,
 python-keystoneauth1,
 python-mock,
 python-openstackdocstheme (>= 1.16.1),
 python-oslotest (>= 1.5.1),
 python-reno,
 python-requestsexceptions,
 python-testscenarios,
 python-testtools,
 python-yaml,
 python3-appdirs,
 python3-docutils,
 python3-fixtures,
 python3-glanceclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-mock,
 python3-oslotest (>= 1.5.1),
 python3-requestsexceptions,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-client-config.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-client-config.git
Homepage: http://github.com/stackforge/os-client-config

Package: python-os-client-config
Architecture: all
Depends:
 python-appdirs,
 python-keystoneauth1,
 python-pbr,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-client-config-doc,
Description: OpenStack client configuration library - Python 2.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 2.x module.

Package: python-os-client-config-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack client configuration library - doc
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the documentation.

Package: python3-os-client-config
Architecture: all
Depends:
 python3-appdirs,
 python3-keystoneauth1,
 python3-pbr,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-client-config-doc,
Description: OpenStack client configuration library - Python 3.x
 Os-client-config is a library for collecting client configuration for using an
 OpenStack cloud in a consistent and comprehensive manner. It will find cloud
 config for as few as 1 cloud and as many as you want to put in a config file.
 It will read environment variables and config files, and it also contains some
 vendor specific default values so that you don't have to know extra info to
 use OpenStack
 .
 os-client-config honors all of the normal OS_* variables. It does not provide
 backwards compatibility to service-specific variables such as NOVA_USERNAME.
 .
 If you have environment variables and no config files, os-client-config will
 produce a cloud config object named "openstack" containing your values from
 the environment.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-client-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	cp os_client_config/defaults.json $(CURDIR)/debian/python-os-client-config/usr/lib/python2.7/dist-packages/os_client_config/defaults.json
	cp os_client_config/defaults.json $(CURDIR)/debian/python3-os-client-config/usr/lib/python3/dist-packages/os_client_config/defaults.json

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-os-client-config 1.29.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
PyYAML>=3.10 # MIT
appdirs>=1.3.0 # MIT License
keystoneauth1>=3.3.0 # Apache-2.0
requestsexceptions>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx!=1.6.6,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-os-client-config (1.29.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 16:11:37 -0500

python-os-client-config (1.28.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-the-use-of-reno.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 12:52:12 -0400

python-os-client-config (1.27.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org for releases.
  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Mon, 15 May 2017 17:24:00 +0100

python-os-client-config (1.26.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 10:32:17 -0500

python-os-client-config (1.25.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jan 2017 09:31:19 -0500

python-os-client-config (1.24.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * debian/tests: Add autopkgtest 
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 09:54:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: python-os-client-config
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ gustavo panizzo <gfa@zumbi.com.ar>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
  python-all,
@@ -15,50 +17,60 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-appdirs,
- python-coverage,
- python-docutils,
- python-extras,
- python-fixtures,
- python-glanceclient,
- python-hacking,
- python-jsonschema,
- python-keystoneauth1,
- python-mock,
- python-openstackdocstheme (>= 1.16.1),
- python-oslotest (>= 1.5.1),
- python-reno,
- python-requestsexceptions,
- python-testscenarios,
- python-testtools,
- python-yaml,
- python3-appdirs,
- python3-docutils,
- python3-fixtures,
- python3-glanceclient,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-mock,
- python3-oslotest (>= 1.5.1),
- python3-requestsexceptions,
- python3-testscenarios,
- python3-testtools,
- python3-yaml,
+ python-coverage (>= 4.0),
+ python-docutils (>= 0.11),
+ python-extras (>= 1.0.0),
+ python-fixtures (>= 3.0.0),
+ python-glanceclient (>= 1:2.8.0),
+ python-hacking (>= 0.12.0),
+ python-jsonschema (>= 2.6.0),
+ python-keystoneauth1 (>= 3.3.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-mock (>= 2.0.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-oslotest (>= 1:3.2.0),
+ python-requestsexceptions (>= 1.2.0),
+ python-stestr (>= 1.0.0),
+ python-subunit (>= 1.0.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 2.2.0),
+ python-yaml (>= 3.10),
+ python3-coverage (>= 4.0),
+ python3-docutils (>= 0.11),
+ python3-extras (>= 1.0.0),
+ python3-fixtures (>= 3.0.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-hacking (>= 0.12.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneclient (>= 1:1.1.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requestsexceptions (>= 1.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.10),
  subunit,
  testrepository,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-os-client-config.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-os-client-config.git
-Homepage: http://github.com/stackforge/os-client-config
+Standards-Version: 4.1.2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-client-config
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-client-config
+Homepage: https://github.com/stackforge/os-client-config
+XS-Testsuite: autopkgtest
 
 Package: python-os-client-config
 Architecture: all
 Depends:
- python-appdirs,
- python-keystoneauth1,
+ python-appdirs (>= 1.3.0),
+ python-keystoneauth1 (>= 3.3.0),
  python-pbr,
- python-yaml,
+ python-requestsexceptions (>= 1.2.0),
+ python-yaml (>= 3.10),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -106,10 +118,11 @@
 Package: python3-os-client-config
 Architecture: all
 Depends:
- python3-appdirs,
- python3-keystoneauth1,
+ python3-appdirs (>= 1.3.0),
+ python3-keystoneauth1 (>= 3.3.0),
  python3-pbr,
- python3-yaml,
+ python3-requestsexceptions (>= 1.2.0),
+ python3-yaml (>= 3.10),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://github.com/stackforge/os-client-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-client-config; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-os-client-config; \
	done
	rm -rf $(CURDIR)/debian/python*-os-client-config/usr/lib/python*/dist-packages/*.pth
	# These aren't automatically install: do it by hand
	cp os_client_config/*.json $(CURDIR)/debian/python-os-client-config/usr/lib/python2.7/dist-packages/os_client_config
	cp os_client_config/vendors/*.json $(CURDIR)/debian/python-os-client-config/usr/lib/python2.7/dist-packages/os_client_config/vendors
	cp os_client_config/*.json $(CURDIR)/debian/python3-os-client-config/usr/lib/python3/dist-packages/os_client_config
	cp os_client_config/vendors/*.json $(CURDIR)/debian/python3-os-client-config/usr/lib/python3/dist-packages/os_client_config/vendors


override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i stestr run 'os_client_config\.tests\.(?!(.*OptsTestCase.test_entry_point.*|.*test_environ.TestEnviron.test_environ_exists.*|.*test_environ.TestEnviron.test_envvar_name_override.*|.*test_config.TestConfig.test_get_all_clouds.*|.*TestBackwardsCompatibility\.test_set_no_default.*))' ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-os-client-config-doc/usr/share/doc/python-os-client-config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: os-client-config
Depends: python-os-client-config

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/os-client-config/ os-client-config-(\d.*)\.tar\.gz
